net.minecraft.network.play.server

## Class S33PacketUpdateSign

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S33PacketUpdateSign

-     public class S33PacketUpdateSign
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S33PacketUpdateSign()`
    `S33PacketUpdateSign(int p_i45231_1_, int p_i45231_2_, int p_i45231_3_, java.lang.String[] p_i45231_4_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_149344_e()`
    `int` | `func_149345_d()`
    `int` | `func_149346_c()`
    `java.lang.String[]` | `func_149347_f()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149348_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S33PacketUpdateSign

          public S33PacketUpdateSign()

    - #### S33PacketUpdateSign

          public S33PacketUpdateSign(int p_i45231_1_,
                             int p_i45231_2_,
                             int p_i45231_3_,
                             java.lang.String[] p_i45231_4_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149348_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_149346_c

          public int func_149346_c()

    - #### func_149345_d

          public int func_149345_d()

    - #### func_149344_e

          public int func_149344_e()

    - #### func_149347_f

          public java.lang.String[] func_149347_f()